All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.user
Class SummaryDataEntry

    com.sas.services.user.SummaryDataEntry

All Implemented Interfaces:
  java.io.Serializable

    public class SummaryDataEntry

implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`class` | `SummaryDataEntry.RepositorySummary`

Constructor Summary
`SummaryDataEntry(java.lang.String name, java.lang.String userid, long authTime, java.lang.String ctxId)`

Method Summary
`void` | `addReposData(SummaryDataEntry.RepositorySummary summary)`
`java.lang.String` | `getAppSource()`
`long` | `getAuthTime()`
`java.lang.String` | `getClientSource()`
`java.lang.String` | `getName()`
`java.util.List` | `getReposData()`
`java.lang.String` | `getUserCtxId()`
`java.lang.String` | `getUserid()`
`void` | `setAppSource(java.lang.String appSource)`
`void` | `setAuthTime(long authTime)`
`void` | `setClientSource(java.lang.String clientSource)`
`void` | `setName(java.lang.String name)`
`void` | `setUserCtxId(java.lang.String userCtxId)`
`void` | `setUserid(java.lang.String userid)`

Constructor Detail

### SummaryDataEntry

    public SummaryDataEntry(java.lang.String name,
                            java.lang.String userid,
                            long authTime,
                            java.lang.String ctxId)

Method Detail

### getAuthTime

    public final long getAuthTime()

### setAuthTime

    public final void setAuthTime(long authTime)

### getName

    public final java.lang.String getName()

### setName

    public final void setName(java.lang.String name)

### getUserid

    public final java.lang.String getUserid()

### setUserid

    public final void setUserid(java.lang.String userid)

### getUserCtxId

    public final java.lang.String getUserCtxId()

### setUserCtxId

    public final void setUserCtxId(java.lang.String userCtxId)

### getAppSource

    public final java.lang.String getAppSource()

### setAppSource

    public final void setAppSource(java.lang.String appSource)

### getClientSource

    public final java.lang.String getClientSource()

### setClientSource

    public final void setClientSource(java.lang.String clientSource)

### getReposData

    public final java.util.List getReposData()

### addReposData

    public final void addReposData(SummaryDataEntry.RepositorySummary summary)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.